steps:
  lint:
    image: docker.io/node:16
    commands:
      - git clone --recurse-submodules -j8 https://codeberg.org/dragongoose/safetwitch
      - npm i
      - npm run lint

  build:
    image: docker.io/node:16
    commands:
      - npm run build

  publish:
    image: woodpeckerci/plugin-docker-buildx
    settings:
      dockerfile: Dockerfile
      platforms: linux/amd64,linux/arm/v7,linux/arm/v8
      registry: codeberg.org
      auto_tag: true
      repo: codeberg.org/${CI_REPO_OWNER}/safetwitch
      username: ${CI_REPO_OWNER}
      password:
        from_secret: cb_token
    when:
      event: tag
      path: Dockerfile